#
# spec file for package rubygem-slim
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-slim
Version:        1.3.6
Release: 84.3
%define mod_name slim
%define mod_full_name %{mod_name}-%{version}
%define mod_branch -%{version}
%define mod_weight 10306

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 3
BuildRequires:  update-alternatives
Url:            http://slim-lang.com/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Slim is a template language
License:        CHECK(Ruby)
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Slim is a template language whose goal is reduce the syntax to the essential
parts without becoming cryptic.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/slimrb{,%{mod_branch}}
touch %{buildroot}%{_sysconfdir}/alternatives/slimrb
ln -s %{_sysconfdir}/alternatives/slimrb %{buildroot}%{_bindir}/slimrb

mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{gem_base}/gems/%{mod_full_name}/CHANGES %buildroot/%{_docdir}/%{name}/CHANGES
ln -s %{gem_base}/gems/%{mod_full_name}/LICENSE %buildroot/%{_docdir}/%{name}/LICENSE
ln -s %{gem_base}/gems/%{mod_full_name}/README.md %buildroot/%{_docdir}/%{name}/README.md

%post
/usr/sbin/update-alternatives --install \
    %{_bindir}/slimrb slimrb %{_bindir}/slimrb%{mod_branch} %{mod_weight}

%preun
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove slimrb %{_bindir}/slimrb%{mod_branch}
fi

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_bindir}/slimrb%{mod_branch}
%{_bindir}/slimrb
%ghost %{_sysconfdir}/alternatives/slimrb
%{gem_base}/cache/%{mod_full_name}.gem
%{gem_base}/gems/%{mod_full_name}/
%exclude %{gem_base}/gems/%{mod_full_name}/test
%{gem_base}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{gem_base}/doc

%files testsuite
%defattr(-,root,root,-)
%{gem_base}/gems/%{mod_full_name}/test

%changelog
